## sugar-toolkit-gtk3 0.98.7

=== debian/changelog ===
sugar-toolkit-gtk3 (0.98.7-1) unstable; urgency=low

  * New upstream release 
  * Adding myself to Uploaders
  * Bump Standars-Version to 3.9.4

 -- Santiago Ruano Rincón <santiago@debian.org>  Sat, 07 Sep 2013 01:01:07 +0200
