=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
-Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: autotools-dev,
+Uploaders: Jonas Smedegaard <dr@jones.dk>, Santiago Ruano Rincón <santiago@debian.org>
+Build-Depends: cdbs (>= 0.4.97~),
+ autotools-dev,
  devscripts,
- python (>= 2.6.5),
- cdbs (>= 0.4.97~),
+ python,
  python-all-dev,
  debhelper,
  dh-buildinfo,
@@ -21,8 +21,10 @@
  gettext,
  intltool,
  libxml-parser-perl,
+ gir1.2-gconf-2.0,
+ libgconf2-dev,
  d-shlibs (>= 0.48)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/collab-maint/sugar-toolkit-gtk3
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sugar-toolkit-gtk3.git
 Homepage: http://wiki.sugarlabs.org/go/Sugar
