=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,6 @@
 
 DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/glucose/$(DEB_UPSTREAM_PACKAGE)
 DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2
-DEB_UPSTREAM_TARBALL_MD5 = 8e4247b7920e0d99cbfe85f3def16c41
 
 # Multiarch quirks
 # (unneeded since Wheezy: can be dropped after Wheezy+1)
@@ -51,6 +50,7 @@
 CDBS_BUILD_DEPENDS += , librsvg2-dev, python-gtk2-dev
 CDBS_BUILD_DEPENDS += , libgirepository1.0-dev (>= 1.30.0)
 CDBS_BUILD_DEPENDS += , gettext, intltool, libxml-parser-perl
+CDBS_BUILD_DEPENDS += , gir1.2-gconf-2.0, libgconf2-dev
 
 # Needed (always/often/seldom) at runtime
 #  * telepathy-* versioning follows http://wiki.sugarlabs.org/go/0.90/Notes
@@ -79,6 +79,10 @@
 DEB_DH_INSTALL_ARGS_$(girpkg) = usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0 usr/lib
 DEB_DH_INSTALL_ARGS_$(datapkg) = usr/share/locale
 
+DEB_DH_INSTALL_ARGS_$(libpkg) += usr/lib/$(DEB_HOST_MULTIARCH)/libsugar-eventcontroller.so.0.0.0
+DEB_DH_LINK_$(libpkg) += usr/lib/$(DEB_HOST_MULTIARCH)/libsugar-eventcontroller.so.0.0.0 usr/lib/$(DEB_HOST_MULTIARCH)/libsugar-eventcontroller.so.0
+DEB_DH_LINK_$(devpkg) += usr/lib/$(DEB_HOST_MULTIARCH)/libsugar-eventcontroller.so.0.0.0 usr/lib/$(DEB_HOST_MULTIARCH)/libsugar-eventcontroller.so
+
 # Drop created dir if empty to please lintian
 binary-post-install/$(datapkg)::
 	rmdir --ignore-fail-on-non-empty --parents $(DEB_DESTDIR)/usr/share/locale
@@ -95,6 +99,7 @@
 		--override s/libgdk-3-0-dev/libgtk-3-dev/ \
 		--override s/libgtk-3-0-dev/libgtk-3-dev/ \
 		--override s/librsvg-2-2-dev/librsvg2-dev/ \
+		--override s/libgconf-2-4-dev/libgconf2-dev/ \
 		--devunversioned --ignorelibdep \
 		--movedev debian/tmp/usr/share/gir-1.0 usr/share/ \
 		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/$(lib).so
