## sugar-toolkit-gtk3 0.104.1

=== debian/changelog ===
sugar-toolkit-gtk3 (0.104.1-8) unstable; urgency=medium

  * Adapt packaging in maintainer mode when targeting experimental:
    + Switch git packaging branch.
    + Track any release (else only current branch).
  * Update package relations:
    + Relax to build-depend unversioned on libgirepository1.0-dev, and
      recommend unversioned telepathy-mission-control-5 and
      telepathy-salut: Needed versions satisfied even in oldstable.
    + Stop declare pre-dependency on multiarch-support: Handled by
      debhelper.
    + Tighten build-dependency on d-shlibs, and drop local overrides.
  * Stop manually remove .la file: Handled by d-shlibs.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 14 Jun 2015 15:09:29 -0500

sugar-toolkit-gtk3 (0.104.1-7) unstable; urgency=medium

  * Improve short descriptions.
  * Update package relations:
    + Relax to build-depend unversioned on debhelper: Version needed is
      satisfied even in oldstable.
  * Add patch cherry-picked upstream to avoid build MIME databases
    during upstream install routine.
    Closes: Bug#783890. Thanks to Martin Abente Lahaye.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Modernize git-buildpackage config: Avoid "git-" prefix.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 May 2015 11:18:07 +0200

sugar-toolkit-gtk3 (0.104.1-6) unstable; urgency=medium

  * Fix use canonical URL in Vcs-Git field.
  * Update package relations:
    + Fix stop suggest subversion: Unused upstream since ~2008.
    + Fix explicitly recommend shared-mime-info.
  * Modernize long descriptions.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Apr 2015 21:38:33 +0200

sugar-toolkit-gtk3 (0.104.1-5) unstable; urgency=medium

  * Move packaging to Debian Sugar Team.
  * Update package relations:
    + Fix depend on python-gi-cairo.
      Thanks to Martin Abente and James Cameron.
  * Fix typo in libsugarext-dev short description.
    Closes: bug#747026. Thanks to Anders Jonsson.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Apr 2015 10:34:39 +0200

sugar-toolkit-gtk3 (0.104.1-4) experimental; urgency=medium

  * Fix Recommend telepathy-gabble-legacy or older telepathy-gabble (not
    recent telepathy-gabble): Old Tubes API needed.
    Thanks to Tincho.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Apr 2015 03:08:09 +0200

sugar-toolkit-gtk3 (0.104.1-3) experimental; urgency=medium

  * Bump debhelper compatibility level to 9: Needed for multiarch-
    compatible debug files.
  * Update package relations:
    + Fix depend on python-decorator.
    + Recommend alsa-util to ensure audio devices are unmuted at boot
      (see bug#581504).
    + Fix suggest ipython.
    + Stop suggest ttf-dejavu-extra: Font handled by sugar-session-*.
    + Suggest git (not git-core).
    + Fix tighten python-sugar3 to depend on same source-version of
      gir1.2-sugarext-1.0, and tighten gir1.2-sugarext-1.0 to break
      older python-sugar3 depending too relaxed on its GIR.
      Thanks to James Cameron.
    + Tighten build-dependency on debhelper: Needed for tightened
      compatibility level.
    + Build-depend only (tightened) on python.dev (not python-all-dev):
      Sufficient for architecture-independent python build.
  * Declare dh_install arguments in rules (not *.install files).
  * Fix install GIR files into multiarch subdir.
  * Fix do hash-bang massage forward-compatible with cdbs 0.5.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Apr 2015 18:17:22 +0200

sugar-toolkit-gtk3 (0.104.1-2) experimental; urgency=medium

  * Update package relations:
    + Fix have libsugarext-dev depend on auto-resolved *-dev packages.
    + Fix relax python-sugar3 to depend unversioned on gir* package.
    + Fix tighten gir1.2-sugarext-1.0 to depend versioned on
      libsugarext0: API is unstable.
  * Fix mark python-sugar3 as architecture-independent.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Apr 2015 21:08:58 +0200

sugar-toolkit-gtk3 (0.104.1-1) experimental; urgency=medium

  * Update package relations:
    + Stop build-depend on libgconf2-dev or python-gtk2-dev.
    + Build-depend on libxfixes-dev.
    + Depend on and recommend gir1.2-webkit2-3.0 or gir1.2-webkit2-4.0,
      and recommend (but not depend on) gir1.2-webkit-3.0 as ultimate
      fallback.
    + Build-depend on linux-libc-dev or hurd-dev.
    + Have python-sugar3 depend on git1.2-atspi-2.0.
  * Update copyright info:
    + Merge Files sections with same license.
    + Fix list Files section with joker above */Makefile.in section, to
      not override.
    + Fix extend coverage for autotools.
    + Extend coverage for upstream authors.
  * Fix tell git-buildpackage to use xz compression.
  * Unfuzz patch 2002.
  * Disable patch 2003: Possibly obsoleted by recent upstream changes.
  * Use proper hash-bang in Python script (Python Policy 0.9 §3.1).
    Thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Apr 2015 20:36:09 +0200

sugar-toolkit-gtk3 (0.98.7-2) unstable; urgency=medium

  * Update copyright info:
    + Update alternate git source URL.
    + Extend coverage for myself, and relicense packaging as GPL-3+.
    + Fix use SPDX shortname for X11 license.
      Thanks to Paul Richards Tagliamonte.
    + Fix extend coverage for autotools.
    + Fix update and extend coverage for upstream authors.
    + Fix cover BSD-licensed src/sugar3/dispatch/*.
  * Bump dephelper compatibility level to 8.
  * Declare compliance with Debian Policy 3.9.6.
  * Update Vcs-Git field to use canonical URL.
  * Update Vcs-Browser field to use cgit and https.
  * Wrap Uploaders field.
  * Track xz compressed upstream tarballs (favored over bzip2).
  * Rewrite README.source to emphasize that control.in file is *not* a
    show-stopper for contributions, and refer to wiki page for details.
  * Unfuzz patch 2003.
  * Update package relations:

