=== debian/control ===
Source: sugar-toolkit-gtk3
Section: python
Priority: optional
Maintainer: Debian Sugar Team <pkg-sugar-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Santiago Ruano Rincón <santiago@debian.org>
Build-Depends: cdbs (>= 0.4.90~),
 autotools-dev,
 devscripts,
 python,
 python-dev (>= 2.3.5-7),
 debhelper,
 dh-buildinfo,
 libgtk-3-dev,
 libgdk-pixbuf2.0-dev,
 libsm-dev,
 libice-dev,
 librsvg2-dev,
 libxfixes-dev,
 libxi-dev,
 libx11-dev,
 gettext,
 intltool,
 libxml-parser-perl,
 x11proto-core-dev,
 libasound2-dev | libasound-dev,
 libgirepository1.0-dev,
 linux-libc-dev [linux-any],
 hurd-dev [hurd-any],
 d-shlibs (>= 0.59~)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-sugar/sugar-toolkit-gtk3
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sugar/sugar-toolkit-gtk3.git
Homepage: http://wiki.sugarlabs.org/go/Sugar

Package: libsugarext0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: libsugarext-data (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: Sugar Learning Platform - toolkit runtime library
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This package contains the runtime library.

Package: libsugarext-data
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Sugar Learning Platform - toolkit common files
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This contains the common files (translations) used by the runtime
 library.

Package: libsugarext-dev
Section: libdevel
Architecture: any
Depends: ${cdbs:Depends},
 ${devlibs:Depends},
 ${misc:Depends},
 libsugarext0 (= ${binary:Version})
Description: Sugar Learning Platform - toolkit development files
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This package contains the files needed for development.

Package: libsugarext-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 libsugarext0 (= ${binary:Version}),
Description: Sugar Learning Platform - toolkit debugging symbols
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This package contains detached debugging symbols.

Package: python-sugar3
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${python:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${cdbs:Provides},
 ${python:Provides}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Description: Sugar Learning Platform - toolkit Python bindings
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This package contains Python bindings.

Package: gir1.2-sugarext-1.0
Section: introspection
Architecture: any
Depends: ${cdbs:Depends},
 ${gir:Depends},
 ${misc:Depends}
Breaks: ${cdbs:Breaks}
Description: Sugar Learning Platform - toolkit GObject introspection
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This package can be used by other packages using the GIRepository
 format to generate dynamic bindings.
