## sugar-toolkit-gtk3 0.106.0

=== debian/changelog ===
sugar-toolkit-gtk3 (0.106.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Jul 2015 19:53:05 -0500

sugar-toolkit-gtk3 (0.105.3-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  (0.104.1-9 changes re-applied)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Jul 2015 18:26:23 -0500

sugar-toolkit-gtk3 (0.105.2-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Prepare for new major branch:
    + Switch packaging git branch.
    + Adapt watch file to track any branch.
  * Drop patch now included upstream, and unfuzz remaining patch.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 14 Jun 2015 15:29:45 -0500

sugar-toolkit-gtk3 (0.104.1-9) unstable; urgency=medium

  * Update package relations:
    + Favor Webkit over Webkit2: Webkit needed by Jarabe and Browse too.
    + Drop fallback-dependency on gir1.2-webkit2-3.0: Deprecated.
  * Relax watch file to cover any compression suffix.
  * Stop explicitly declare compression in git-buildpackage config.
  * Add lintian override regarding debhelper 9.
  * Fix rename locale aym→ay: ISO 639-1 favored over ISO 639-2.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Jul 2015 17:05:44 -0500
