=== debian/rules ===
--- 
+++ 
@@ -69,12 +69,12 @@
 
 # Needed (always/often/seldom) at runtime
 #  * alsa-utils (mayby still) needed to unmute devices at boot (bug#581504)
-#  * telepathy-* versioning follows http://wiki.sugarlabs.org/go/0.90/Notes
 #  * shared-mime-info (update-mime-database) used in sugar.bundle.bundlebuilder
 #  * unzip used in sugar3.bundle.bundle
 #  * git used in sugar3.activity.bundlebuilder
 #  * legacy/older telepathy-gabble needed for its Tubes ABI
-#  * TODO: relax dependencies for our own GIR when its API is stable
+# TODO: relax dependencies for our own GIR when its API is stable
+# TODO: recommend Webkit2 and favor over Webkit when used by Browse and Jarabe
 gir-deps = glib-2.0 gtk-3.0 gconf-2.0 gdkpixbuf-2.0 pango-1.0 rsvg-2.0
 gir-deps += gconf-2.0 atspi-2.0
 python-deps = gi gi-cairo dbus cairo telepathy dateutil decorator
@@ -82,13 +82,12 @@
 depends +=, $(patsubst %,$(comma) gir1.2-%,$(gir-deps))
 depends +=, gir1.2-sugarext-1.0 (>= $(DEB_VERSION))
 depends +=, gir1.2-sugarext-1.0 (<< $(DEB_VERSION).1~)
-depends +=, gir1.2-webkit2-4.0 | gir1.2-webkit2-3.0 | gir1.2-webkit-3.0
+depends +=, gir1.2-webkit-3.0 | gir1.2-webkit2-4.0
 depends-dev = $(pkg-gir) (= $(DEB_VERSION))
 depends-gir = $(pkg-lib) (= $(DEB_VERSION))
 recommends = unzip, telepathy-mission-control-5, alsa-utils
 recommends +=, telepathy-gabble-legacy | telepathy-gabble (<< 0.17.25)
 recommends +=, telepathy-salut, shared-mime-info
-recommends +=, gir1.2-webkit2-4.0 | gir1.2-webkit2-3.0
 suggests = git, ipython
 
 CDBS_BUILD_DEPENDS +=, $(bdeps)
@@ -152,3 +151,8 @@
 	egrep -r -l -Z '^#! ?/usr/bin/(env )?python[[:print:]]*$$' \
 		debian/$(cdbs_curpkg)/usr/bin/* \
 		| xargs -r -0 perl -pi -e 's,^#! ?/usr/bin/(env )?python[[:print:]]*$$,#!/usr/bin/$(strip $(or $(cdbs_curpythonruntime),$(cdbs_python_binary))),'
+
+# Fix favor ISO 639-1 when differing from ISO 639-2
+binary-post-install/$(pkg-data)::
+	mv debian/$(cdbs_curpkg)/usr/share/locale/aym \
+		debian/$(cdbs_curpkg)/usr/share/locale/ay
